urpm::lock(3)

NAME
urpm::lock - urpm/rpm DB locking related routines for urpmi

SYNOPSIS

DESCRIPTION

rpm_db($urpm, $b_exclusive, %options)
    Lock rpm DB.

    Lock policy concerning chroot : lock rpm db in chroot

    Options: nofatal, wait

urpmi_db($urpm, $b_exclusive, %options)
    Lock urpmi DB.

    Lock policy concerning chroot : lock urpmi db in /

    Options: nofatal, wait

COPYRIGHT
Copyright (C) 2005 MandrakeSoft SA

Copyright (C) 2005-2010 Mandriva SA

Copyright (C) 2011-2017 Mageia